summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2018-03-08 17:02:43 +0100
committerMichał Górny <mgorny@gentoo.org>2018-07-09 18:54:45 +0200
commit0480976bc6397ce0c807f5a7e9603a65990d0042 (patch)
treea05408f6729cc891cbad6be40ca41afb5fda71fa
parentlinux-info.eclass: get_localversion, do not call 'ls' (diff)
downloadgentoo-0480976bc6397ce0c807f5a7e9603a65990d0042.tar.gz
gentoo-0480976bc6397ce0c807f5a7e9603a65990d0042.tar.bz2
gentoo-0480976bc6397ce0c807f5a7e9603a65990d0042.zip
linux-info.eclass: Replace unnecessary $? checks
-rw-r--r--eclass/linux-info.eclass9
1 files changed, 3 insertions, 6 deletions
diff --git a/eclass/linux-info.eclass b/eclass/linux-info.eclass
index 0eca55725874..d5eb0e73fcfa 100644
--- a/eclass/linux-info.eclass
+++ b/eclass/linux-info.eclass
@@ -628,8 +628,7 @@ get_running_version() {
# This attempts to find the version of the sources, and otherwise falls back to
# the version of the running kernel.
linux-info_get_any_version() {
- get_version
- if [[ $? -ne 0 ]]; then
+ if ! get_version; then
ewarn "Unable to calculate Linux Kernel version for build, attempting to use running version"
get_running_version
fi
@@ -848,13 +847,11 @@ check_zlibinflate() {
ebegin "checking ZLIB_INFLATE"
linux_chkconfig_builtin CONFIG_ZLIB_INFLATE
- eend $?
- [ "$?" != 0 ] && die
+ eend $? || die
ebegin "checking ZLIB_DEFLATE"
linux_chkconfig_builtin CONFIG_ZLIB_DEFLATE
- eend $?
- [ "$?" != 0 ] && die
+ eend $? || die
local LINENO_START
local LINENO_END